## visad.data.visad
Class FakeData

    java.lang.Object
      visad.data.visad.FakeData

class FakeData
extends Object

This class creates a list containing all(?) permutations of VisAD Data objects, which is used by the TestBinary class to the the binary file writer & reader classes.

Constructor Summary
`(package private)` `FakeData()`

Method Summary
`(package private) DataImpl[]` `getList()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FakeData

    FakeData()
       throws VisADException

Method Detail

### getList

    DataImpl[] getList()